package com.ys.bdtp.android.base.comparators

import android.util.Size

/**
 * 区域大小比较器
 *
 * @author  庞利祥(sybotan@126.com)
 */
class SSizesByAreaComparator : Comparator<Size> {
    /**
     * 判断区域lhs是否比rhs大
     *
     * @param   lhs     比较区域1
     * @param   rhs     比较区域2
     */
    override fun compare(lhs: Size, rhs: Size): Int {
        return java.lang.Long.signum(lhs.width.toLong() * lhs.height - rhs.width.toLong() * rhs.height)
    } // Function compare()
} // Class SSizesByAreaComparator()